curl --request PATCH \
--url https://api.beamlearning.io/agent-graphs/{graphId}/publish \
--header 'Authorization: Bearer <token>' \
--header 'current-workspace-id: <current-workspace-id>'{
"graph": {
"id": "<string>",
"agentId": "<string>",
"isActive": true,
"isDraft": true,
"isPublished": true,
"isEdited": true,
"isEverExecuted": true,
"isEverUsedForTemplate": true,
"nodes": [
{
"id": "<string>",
"customId": "<string>",
"objective": "<string>",
"evaluationCriteria": [
"<string>"
],
"isEntryNode": true,
"isExitNode": true,
"isEvaluationEnabled": true,
"autoRetryWhenAccuracyLessThan": 123,
"autoRetryLimitWhenAccuracyIsLow": 123,
"enableAutoRetryWhenAccuracyIsLow": true,
"enableAutoRetryWhenFailure": true,
"autoRetryDescription": null,
"enableAutoRetryDescription": false,
"autoRetryCountWhenFailure": 123,
"autoRetryWaitTimeWhenFailureInMs": 123,
"isAttachmentDataPulledIn": true,
"isEdited": true,
"createdAt": "2023-11-07T05:31:56Z",
"toolConfiguration": {
"id": "<string>",
"toolFunctionName": "<string>",
"toolName": "<string>",
"requiresConsent": true,
"isMemoryTool": true,
"isBackgroundTool": true,
"isBatchExecutionEnabled": true,
"isCodeExecutionEnabled": true,
"inputParams": [
{
"id": "param-123e4567-e89b-12d3-a456-426614174000",
"paramName": "customerId",
"fillType": "ai_fill",
"agentToolConfigurationId": "config-123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"linkOutputParam": {
"id": "param-123e4567-e89b-12d3-a456-426614174000",
"agentToolConfigurationId": "config-123e4567-e89b-12d3-a456-426614174000",
"isArray": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"paramName": "customerData",
"position": 1,
"paramDescription": "The customer data retrieved from the database.",
"parentId": "<string>",
"paramPath": "response.data.customer",
"outputExample": "{\"name\": \"John Doe\", \"email\": \"john@example.com\"}",
"dataType": "string",
"typeOptions": {}
},
"position": 1,
"question": "What is the customer ID?",
"linkParamOutputId": "<string>",
"paramDescription": "The unique identifier for the customer record.",
"paramTip": "Enter the 8-digit customer ID from their account.",
"staticValue": "default_value",
"required": true,
"dataType": "string",
"outputExample": "CUST-12345678",
"reloadProps": false,
"remoteOptions": false,
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"outputParams": [
{
"id": "param-123e4567-e89b-12d3-a456-426614174000",
"agentToolConfigurationId": "config-123e4567-e89b-12d3-a456-426614174000",
"isArray": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"paramName": "customerData",
"position": 1,
"paramDescription": "The customer data retrieved from the database.",
"parentId": "<string>",
"paramPath": "response.data.customer",
"outputExample": "{\"name\": \"John Doe\", \"email\": \"john@example.com\"}",
"dataType": "string",
"typeOptions": {}
}
],
"iconSrc": "<string>",
"description": "<string>",
"memoryLookupInstruction": "<string>",
"accuracyScore": 123,
"integrationProviderId": "<string>",
"dynamicPropsId": "<string>",
"fallbackModels": "<string>",
"originalTool": {
"toolName": "<string>",
"toolFunctionName": "<string>",
"iconSrc": "<string>",
"type": "<string>",
"prompt": "<string>",
"description": "<string>",
"preferredModel": "<string>",
"meta": {},
"integrationId": "<string>",
"isIntegrationRequired": true,
"isIntegrationConnected": true,
"integration": {
"systemIntegrationProvider": "<string>",
"systemIntegrationIdentifier": "<string>",
"customAuthParameters": {}
},
"inputParams": [
{
"paramName": "customerId",
"fillType": "ai_fill",
"position": 1,
"question": "What is the customer ID?",
"linkParams": {
"toolId": "<string>",
"toolFunctionName": "<string>",
"outputParam": "<string>",
"outputId": "<string>"
},
"linkParamOutputId": "<string>",
"paramDescription": "The unique identifier for the customer record.",
"paramTip": "Enter the 8-digit customer ID from their account.",
"staticValue": "default_value",
"required": true,
"dataType": "string",
"isArray": false,
"typeOptions": {},
"outputExample": "CUST-12345678",
"reloadProps": false,
"remoteOptions": false,
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"outputParams": [
{
"position": 123,
"paramName": "<string>",
"paramDescription": "<string>",
"id": "<string>",
"agentToolConfigurationId": "<string>",
"dataType": "string",
"isArray": true,
"typeOptions": {},
"parentId": "<string>",
"paramPath": "<string>",
"outputExample": "<string>"
}
]
}
},
"childEdges": [
{
"id": "<string>",
"sourceAgentGraphNodeId": "<string>",
"targetAgentGraphNodeId": "<string>",
"isAttachmentDataPulledIn": true,
"condition": "<string>"
}
],
"parentEdges": [
{
"id": "<string>",
"sourceAgentGraphNodeId": "<string>",
"targetAgentGraphNodeId": "<string>",
"isAttachmentDataPulledIn": true,
"condition": "<string>"
}
],
"xCoordinate": 123,
"yCoordinate": 123,
"onError": "CONTINUE"
}
],
"agent": {
"id": "<string>",
"name": "<string>",
"type": "beam-os",
"creatorId": "<string>",
"order": 123,
"description": "<string>",
"themeIconUrl": "<string>",
"agentCategoryId": "<string>",
"category": {
"id": "<string>",
"title": "<string>"
},
"workspaceId": "<string>"
},
"publishedAt": {}
}
}curl --request PATCH \
--url https://api.beamlearning.io/agent-graphs/{graphId}/publish \
--header 'Authorization: Bearer <token>' \
--header 'current-workspace-id: <current-workspace-id>'{
"graph": {
"id": "<string>",
"agentId": "<string>",
"isActive": true,
"isDraft": true,
"isPublished": true,
"isEdited": true,
"isEverExecuted": true,
"isEverUsedForTemplate": true,
"nodes": [
{
"id": "<string>",
"customId": "<string>",
"objective": "<string>",
"evaluationCriteria": [
"<string>"
],
"isEntryNode": true,
"isExitNode": true,
"isEvaluationEnabled": true,
"autoRetryWhenAccuracyLessThan": 123,
"autoRetryLimitWhenAccuracyIsLow": 123,
"enableAutoRetryWhenAccuracyIsLow": true,
"enableAutoRetryWhenFailure": true,
"autoRetryDescription": null,
"enableAutoRetryDescription": false,
"autoRetryCountWhenFailure": 123,
"autoRetryWaitTimeWhenFailureInMs": 123,
"isAttachmentDataPulledIn": true,
"isEdited": true,
"createdAt": "2023-11-07T05:31:56Z",
"toolConfiguration": {
"id": "<string>",
"toolFunctionName": "<string>",
"toolName": "<string>",
"requiresConsent": true,
"isMemoryTool": true,
"isBackgroundTool": true,
"isBatchExecutionEnabled": true,
"isCodeExecutionEnabled": true,
"inputParams": [
{
"id": "param-123e4567-e89b-12d3-a456-426614174000",
"paramName": "customerId",
"fillType": "ai_fill",
"agentToolConfigurationId": "config-123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"linkOutputParam": {
"id": "param-123e4567-e89b-12d3-a456-426614174000",
"agentToolConfigurationId": "config-123e4567-e89b-12d3-a456-426614174000",
"isArray": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"paramName": "customerData",
"position": 1,
"paramDescription": "The customer data retrieved from the database.",
"parentId": "<string>",
"paramPath": "response.data.customer",
"outputExample": "{\"name\": \"John Doe\", \"email\": \"john@example.com\"}",
"dataType": "string",
"typeOptions": {}
},
"position": 1,
"question": "What is the customer ID?",
"linkParamOutputId": "<string>",
"paramDescription": "The unique identifier for the customer record.",
"paramTip": "Enter the 8-digit customer ID from their account.",
"staticValue": "default_value",
"required": true,
"dataType": "string",
"outputExample": "CUST-12345678",
"reloadProps": false,
"remoteOptions": false,
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"outputParams": [
{
"id": "param-123e4567-e89b-12d3-a456-426614174000",
"agentToolConfigurationId": "config-123e4567-e89b-12d3-a456-426614174000",
"isArray": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"paramName": "customerData",
"position": 1,
"paramDescription": "The customer data retrieved from the database.",
"parentId": "<string>",
"paramPath": "response.data.customer",
"outputExample": "{\"name\": \"John Doe\", \"email\": \"john@example.com\"}",
"dataType": "string",
"typeOptions": {}
}
],
"iconSrc": "<string>",
"description": "<string>",
"memoryLookupInstruction": "<string>",
"accuracyScore": 123,
"integrationProviderId": "<string>",
"dynamicPropsId": "<string>",
"fallbackModels": "<string>",
"originalTool": {
"toolName": "<string>",
"toolFunctionName": "<string>",
"iconSrc": "<string>",
"type": "<string>",
"prompt": "<string>",
"description": "<string>",
"preferredModel": "<string>",
"meta": {},
"integrationId": "<string>",
"isIntegrationRequired": true,
"isIntegrationConnected": true,
"integration": {
"systemIntegrationProvider": "<string>",
"systemIntegrationIdentifier": "<string>",
"customAuthParameters": {}
},
"inputParams": [
{
"paramName": "customerId",
"fillType": "ai_fill",
"position": 1,
"question": "What is the customer ID?",
"linkParams": {
"toolId": "<string>",
"toolFunctionName": "<string>",
"outputParam": "<string>",
"outputId": "<string>"
},
"linkParamOutputId": "<string>",
"paramDescription": "The unique identifier for the customer record.",
"paramTip": "Enter the 8-digit customer ID from their account.",
"staticValue": "default_value",
"required": true,
"dataType": "string",
"isArray": false,
"typeOptions": {},
"outputExample": "CUST-12345678",
"reloadProps": false,
"remoteOptions": false,
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"outputParams": [
{
"position": 123,
"paramName": "<string>",
"paramDescription": "<string>",
"id": "<string>",
"agentToolConfigurationId": "<string>",
"dataType": "string",
"isArray": true,
"typeOptions": {},
"parentId": "<string>",
"paramPath": "<string>",
"outputExample": "<string>"
}
]
}
},
"childEdges": [
{
"id": "<string>",
"sourceAgentGraphNodeId": "<string>",
"targetAgentGraphNodeId": "<string>",
"isAttachmentDataPulledIn": true,
"condition": "<string>"
}
],
"parentEdges": [
{
"id": "<string>",
"sourceAgentGraphNodeId": "<string>",
"targetAgentGraphNodeId": "<string>",
"isAttachmentDataPulledIn": true,
"condition": "<string>"
}
],
"xCoordinate": 123,
"yCoordinate": 123,
"onError": "CONTINUE"
}
],
"agent": {
"id": "<string>",
"name": "<string>",
"type": "beam-os",
"creatorId": "<string>",
"order": 123,
"description": "<string>",
"themeIconUrl": "<string>",
"agentCategoryId": "<string>",
"category": {
"id": "<string>",
"title": "<string>"
},
"workspaceId": "<string>"
},
"publishedAt": {}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes